#pragma once
#include <thread>
#include "task.h"
namespace zstd {
    class [[nodiscard]] io_context final {
    private:
        std::thread host_thread;
    public:
        io_context() noexcept;
        void init();
        void deinit();
        void start();
        void run();
    };
} // namespace co_context